import { AfterViewChecked, ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../services/translation-registry.service';
import { QMSCKEditorLinkAnchorDocument } from '../../common/models/qms-ckeditor-link-anchor-document.model';
import QMSCKEditorLink from '../../common/models/qms-ckeditor-url.model';
import { QMSCKEditorBaseComponent } from '../../qms-ckeditor-base.component';
import { QMSCKEditorLinkService } from '../../services/qms-ckeditor-link.service';
interface ILinkType {
    id: number;
    name: string;
}
interface ITarget {
    id: number;
    name: string;
}
interface IProtocol {
    id: number;
    name: string;
}
interface IAnchor {
    value: number;
    viewValue: string;
    anchorValue: string;
}
export declare class QMSCKEditorLinkComponent extends QMSCKEditorBaseComponent implements OnInit, AfterViewChecked {
    private cdr;
    private dialog;
    private translate;
    private linkService;
    dialogRef: MatDialogRef<QMSCKEditorLinkComponent>;
    data: QMSCKEditorLink;
    LANG: any;
    linkFormGroup: FormGroup;
    anchorTextFormGroup: FormGroup;
    emailFormGroup: FormGroup;
    anchorDocFormGroup: FormGroup;
    isExpanded: boolean;
    linkTypes: ILinkType[];
    targets: ITarget[];
    protocols: IProtocol[];
    anchorDocuments: QMSCKEditorLinkAnchorDocument[];
    anchors: IAnchor[];
    editorAnchors: IAnchor[];
    documentAnchors: IAnchor[];
    editorContent: string;
    selectedLink: number;
    selectedTarget: number;
    selectedProtocol: number;
    url: string;
    advisoryTitle: string;
    edit: boolean;
    anchorText: string;
    emailAddress: string;
    emailSubject: string;
    emailBody: string;
    documentId: number;
    anchorTitle: string;
    anchorByName: string;
    constructor(cdr: ChangeDetectorRef, dialog: MatDialog, translate: TranslateLibraryService, linkService: QMSCKEditorLinkService, dialogRef: MatDialogRef<QMSCKEditorLinkComponent>, data: QMSCKEditorLink);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onCloseDialog(): void;
    initLinkType(): void;
    initTarget(): void;
    initProtocol(): void;
    initAnchor(): void;
    parseLinkUrl(typeId: number, url: string): void;
    onSelectedLinkType(): void;
    eHandbook(isOnlyDocument: boolean, isAnchorDocument: boolean): void;
    attachment(): void;
    getEditorAnchor(): void;
    getAnchorDocument(documentId: number): void;
    setAnchorDocument(anchorDocument: QMSCKEditorLinkAnchorDocument[]): void;
    disableOkButton(): boolean;
    setLink(): void;
}
export {};
